Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: Candidate for next major release   

Description

This patch provides 2 new tools with a new color palette to change sélection color :

text color

background color

History

#1 - 2019-05-17 18:26 - Jérôme BATAILLE

The correct issue title should : Formating toolbar : new color tools

#2 - 2019-05-18 01:44 - Go MAEDA

- Subject changed from Wiki formating tous : new color tools to Formating toolbar : new color tools

#3 - 2019-05-18 14:50 - Jérôme BATAILLE

- File RM_31385_formating_toolbar_color_tools_SVN.diff added

- File bt_color.png added

- File bt_bgcolor.png added

Here is the patch, and the 2 new images to put in public/images/jstoolbar/

This patch does not manage the case when we want background an text color at the same time.

#4 - 2019-05-18 15:06 - Jérôme BATAILLE

- File text_color.png added

- File text_color_and_background.png added

 text_color.png 

 

#5 - 2019-05-21 01:33 - Jérôme BATAILLE

- File RM_31385_formating_toolbar_color_tools_SVN.diff added

Here is a new patch managing some mixed cases of color / background color.

Detects if selected text already contains a css tag.

If tag contains the css we want, replace the color.

If not, add the css to the other tags.

#6 - 2019-05-21 23:56 - Jérôme BATAILLE

- File RM_31385_formating_toolbar_color_tools_SVN.diff added
Fixed previous patch.

Managed more mixed color / background color tags.

@Go thanks to have renamed the issue subject

#7 - 2019-05-22 01:42 - Go MAEDA

The patch seems supports only Textile but Markdown. Since Redmine supports both Textile and Markdown, I think the patch should also support

Markdown.

#8 - 2019-05-22 01:59 - Jérôme BATAILLE

Hi, I am going to provide the patch for <span style color="green">Markdown</span>

Now that Textile is OK.

#9 - 2019-05-24 03:11 - Jérôme BATAILLE

- File RM_31385_formating_toolbar_color_tools2_SVN.diff added

Hi, here is a patch to apply after the previous patch.

It includes code refactoring and Markdown support.

For Markdown, html filter must be disabled (C.f. http://www.redmine.org/boards/2/topics/56096?r=57052#message-57052).

One remark about responsive design, the tools icons div has no horizontal scrollbar enabled. Thus some icons on the right can disappear with smaller

window size.

#10 - 2019-06-02 02:06 - Go MAEDA

- Target version set to Candidate for next major release

#11 - 2019-06-03 22:41 - Jérôme BATAILLE

Thanks Go to have proposed this for the next major release.

#12 - 2019-09-16 14:47 - Dmitry Makurin 

Two latest patches don't work without:

Index: public/javascripts/jstoolbar/jstoolbar.js

===================================================================

--- public/javascripts/jstoolbar/jstoolbar.js    (date 1568621686000)

+++ public/javascripts/jstoolbar/jstoolbar.js    (date 1568636186385)

@@ -373,12 +373,12 @@

         }

         if (typeof(fn) == 'function') {

-            res = (sel) ? fn.call(this,sel) : fn('');

+            res = (sel) ? fn.call(this,sel,prefix,suffix) : fn('');

         } else {

             res = (sel) ? sel : '';

         }

-        subst = prefix + res + suffix;

+        subst = res;

         if (typeof(document["selection"]) != "undefined") {

             document.selection.createRange().text = subst;

 Am I missing something? That change have never been mentioned in any of related patches.

#13 - 2019-09-16 16:48 - Jérôme BATAILLE

- File RM_31385_formating_toolbar_color_tools_jstoolbar_SVN.diff added

Hello, you're right changes to jstoolbar.js were missing.

Here is the full SVN diff for this file.

Files

RM_31385_formating_toolbar_color_tools_SVN.diff 4.3 KB 2019-05-18 Jérôme BATAILLE
bt_bgcolor.png 429 Bytes 2019-05-18 Jérôme BATAILLE

bt_color.png 699 Bytes 2019-05-18 Jérôme BATAILLE

text_color_and_background.png 8.75 KB 2019-05-18 Jérôme BATAILLE

text_color.png 14.8 KB 2019-05-18 Jérôme BATAILLE

RM_31385_formating_toolbar_color_tools_SVN.diff 6.25 KB 2019-05-20 Jérôme BATAILLE

RM_31385_formating_toolbar_color_tools_SVN.diff 6.81 KB 2019-05-21 Jérôme BATAILLE

RM_31385_formating_toolbar_color_tools2_SVN.diff 8.36 KB 2019-05-24 Jérôme BATAILLE

RM_31385_formating_toolbar_color_tools_jstoolbar_SVN.diff 4.44 KB 2019-09-16 Jérôme BATAILLE
